"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Config = exports.RetCode = void 0;
var RetCode;
(function (RetCode) {
    RetCode[RetCode["SUCC"] = 0] = "SUCC";
    RetCode[RetCode["INPUT_DIR_IS_NOT_FOUND"] = 1] = "INPUT_DIR_IS_NOT_FOUND";
    RetCode[RetCode["EXCEL_DATA_ERROR"] = 2] = "EXCEL_DATA_ERROR";
    RetCode[RetCode["NOT_FOUND_ONE_ARRAY_SYMBOL"] = 3] = "NOT_FOUND_ONE_ARRAY_SYMBOL";
    RetCode[RetCode["NOT_FOUND_TWO_ARRAY_SYMBOL"] = 4] = "NOT_FOUND_TWO_ARRAY_SYMBOL";
    RetCode[RetCode["COL_NAME_REPEAT"] = 5] = "COL_NAME_REPEAT";
    RetCode[RetCode["SAME_COL_ROW_UNIQ_REPEAT"] = 6] = "SAME_COL_ROW_UNIQ_REPEAT";
})(RetCode || (exports.RetCode = RetCode = {}));
var Config = /** @class */ (function () {
    function Config() {
    }
    Config.checkState = function (retCode, error) {
        if (retCode === void 0) { retCode = RetCode.SUCC; }
        if (error === void 0) { error = ''; }
        this.retCode = retCode;
        this.error = error;
        if (this.retCode != RetCode.SUCC) {
            console.error(this.error);
            process.exit(Config.retCode);
        }
    };
    Config.part = 0.25; // 进度粒度
    Config.partIndex = 0; // 粒度进度
    Config.inputDir = './input'; // 输入文件夹
    Config.outPutDir = './output'; // 输出文件夹
    Config.ONE_ARRAY_SYMBOL = '^'; // 一维数组分隔符
    Config.TWO_ARRAY_SYMBOL = '|'; // 二维数组分隔符
    Config.THREEE_ARRAY_SYMBOL = '#'; // 三维数组分隔符
    Config.jsonOutputDir = 'resources/json'; // json 输出文件夹
    Config.tsOutputDir = 'scripts/Data'; // 精简ts 输出文件夹
    Config.error = ''; // 运行信息  
    Config.retCode = RetCode.SUCC; // 返回值
    Config.yuanRate = 1;
    Config.replaceStr = null;
    Config.objectKey = '';
    return Config;
}());
exports.Config = Config;
