export default class MathUtil {
    /**
     * 判断一个字符串是不是数字
     * @param val 
     */
    public static isNumber(val) {
        var regPos = /^\d+(\.\d+)?$/; //非负浮点数
        var regNeg = /^(-(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*)))$/; //负浮点数
        return regPos.test(val) || regNeg.test(val)
    }
    /**
     * 查找数值中的重复
     * @param array 
     * @param newUnit 
     */
    public static findSame (array, newUnit, name:string = undefined) {
        let ret = -1;
        array.forEach((val, index)=> {
           if (name) {
                if (val[name] == newUnit) {
                    ret = index;
                }
            } else {
                if (val == newUnit) {
                    ret = index;
                }
            }
        })
        return ret;
    }
}