export enum RetCode {
    SUCC = 0,
    INPUT_DIR_IS_NOT_FOUND = 1,                     // 配置文件夹（inputDir）不存在
    EXCEL_DATA_ERROR = 2,                           // 配置数据错误
    NOT_FOUND_ONE_ARRAY_SYMBOL = 3,                 // 数组格式错误1
    NOT_FOUND_TWO_ARRAY_SYMBOL = 4,                 // 数组格式错误2
    COL_NAME_REPEAT = 5,                            // 同一个excel表中列名重复
    SAME_COL_ROW_UNIQ_REPEAT = 6,                   // 同一列行内容重复
}
export class Config {
    public static part:number = 0.25               // 进度粒度
    public static partIndex:number = 0             // 粒度进度
    public static inputDir = './input';            // 输入文件夹
    public static outPutDir = './output';          // 输出文件夹
    public static ONE_ARRAY_SYMBOL = '^';          // 一维数组分隔符
    public static TWO_ARRAY_SYMBOL = '|';          // 二维数组分隔符
    public static THREEE_ARRAY_SYMBOL = '#';       // 三维数组分隔符
    public static jsonOutputDir = 'resources/json' // json 输出文件夹
    public static tsOutputDir = 'scripts/Data'     // 精简ts 输出文件夹
    public static error = ''                       // 运行信息  
    public static retCode = RetCode.SUCC;          // 返回值
    public static yuanRate = 1;
    public static replaceStr = null
    public static objectKey = ''
    public static checkState(retCode:number = RetCode.SUCC, error:string = '') {
        this.retCode = retCode;
        this.error = error;
        if (this.retCode != RetCode.SUCC) {
            console.error(this.error)
            process.exit(Config.retCode);
        }
    }
}
